// Copyright 2013 Yangqing Jia
//
// This is a simple script that allows one to quickly train a network whose
// parameters are specified by text format protocol buffers.
// Usage:
//    train_net net_proto_file solver_proto_file [resume_point_file]

#include <cuda_runtime.h>

#include <cstring>

#include "caffe/caffe.hpp"

using namespace caffe;  // NOLINT(build/namespaces)

int main(int argc, char** argv) {
  ::google::InitGoogleLogging(argv[0]);
  if (argc < 3) {
    LOG(ERROR) << "Usage: visualize_net visualizer_proto_file net_file";
    return 0;
  }

  SolverParameter solver_param;
  ReadProtoFromTextFile(argv[1], &solver_param);

  LOG(INFO) << "Starting visualization";
  Visualizer<float> visualizer(solver_param);
  LOG(INFO) << "Visualizing " << argv[2];
  int display_node = -1;
  if (argc == 4) {
    display_node = atoi(argv[3]);
  }
  visualizer.Visualize(argv[2], display_node);
  LOG(INFO) << "Visualization Done.";

  return 0;
}
